package uam.bases.mybatis.operaciones;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.util.StringTokenizer;

import uam.bases.mybatis.clases.Profesor;

/**Clase relacionada con las operaciones de un Profesor**/

public class OperacionesProfesor {
	
	
	/**Método para cargar la información de un archivo e insertarlo en base de datos**/
	public void insertarProfesores() {

		String cadenaLeida = "";
		FileReader fr;
		try {
			fr = new FileReader("profesores.txt");
			BufferedReader archivoLectura = new BufferedReader(fr);
			

			System.out.println("Insertando los Profesores en la Base de Datos");
			cadenaLeida = archivoLectura.readLine();
			while (cadenaLeida != null) {
				
				Profesor profesor = new Profesor();
				
				StringTokenizer st = new StringTokenizer(cadenaLeida, ",");
				
				profesor.setNumero_economico(st.nextToken());
				profesor.setNombre(st.nextToken());
				profesor.setPrimer_apellido(st.nextToken());
				profesor.setSegundo_apellido(st.nextToken());
				profesor.setGrado_academico(st.nextToken());
				profesor.setArea_id_area(Integer.parseInt(st.nextToken()));
				
				System.out.println(profesor.toString());
				
				cadenaLeida = archivoLectura.readLine();
			}
			archivoLectura.close();
		} catch (FileNotFoundException e) {
			System.out.println("No se pudo encontrar el archivo");
			e.printStackTrace();
		} catch (IOException e) {
			System.out.println("No se pudo leer del archivo");
			e.printStackTrace();
		}

	}
	
}
